# TMCModifiers Class Reference

List of all members.

## Public Member Functions
| TMCModifiers ()
boolean | operator== (const TMCModifiers &rhs) const
boolean | operator!= (const TMCModifiers &rhs) const
void | Set (boolean lbutton, boolean rbutton, boolean command, boolean shift, boolean alphaLock, boolean option, boolean control, boolean autoKey)
boolean | ButtonDown () const
boolean | RightButtonDown () const
boolean | CommandKeyDown () const
boolean | ShiftKeyDown () const
boolean | AlphaLocked () const
boolean | OptionKeyDown () const
boolean | ControlKeyDown () const
boolean | AutoKey () const
void | SetAutoKey (boolean flag)
## Protected Attributes
boolean | fLeftButton
boolean | fRightButton
boolean | fCommandKey
boolean | fShiftKey
boolean | fAlphaLock
boolean | fOptionKey
boolean | fControlKey
boolean | fAutoKey

## Detailed Description

Stores the status of special keys or mouse buttons

## Constructor & Destructor Documentation

TMCModifiers::TMCModifiers | ( |  | ) | `[inline]`

## Member Function Documentation

boolean TMCModifiers::AlphaLocked | ( |  | ) | const`[inline]`

boolean TMCModifiers::AutoKey | ( |  | ) | const`[inline]`

boolean TMCModifiers::ButtonDown | ( |  | ) | const`[inline]`

boolean TMCModifiers::CommandKeyDown | ( |  | ) | const`[inline]`

boolean TMCModifiers::ControlKeyDown | ( |  | ) | const`[inline]`

boolean TMCModifiers::operator!= | ( | const TMCModifiers & | rhs | ) | const`[inline]`

boolean TMCModifiers::operator== | ( | const TMCModifiers & | rhs | ) | const`[inline]`

boolean TMCModifiers::OptionKeyDown | ( |  | ) | const`[inline]`

boolean TMCModifiers::RightButtonDown | ( |  | ) | const`[inline]`

void TMCModifiers::Set | ( | boolean | lbutton,
|  | boolean | rbutton,
|  | boolean | command,
|  | boolean | shift,
|  | boolean | alphaLock,
|  | boolean | option,
|  | boolean | control,
|  | boolean | autoKey |
| ) |  |  | `[inline]`

void TMCModifiers::SetAutoKey | ( | boolean | flag | ) | `[inline]`

boolean TMCModifiers::ShiftKeyDown | ( |  | ) | const`[inline]`

## Member Data Documentation

boolean TMCModifiers::fAlphaLock`[protected]`

boolean TMCModifiers::fAutoKey`[protected]`

boolean TMCModifiers::fCommandKey`[protected]`

boolean TMCModifiers::fControlKey`[protected]`

boolean TMCModifiers::fLeftButton`[protected]`

boolean TMCModifiers::fOptionKey`[protected]`

boolean TMCModifiers::fRightButton`[protected]`

boolean TMCModifiers::fShiftKey`[protected]`

The documentation for this class was generated from the following file:

- MCEvent.h